/**************************************************************
            ==================================
            Star Wars - The POV-Ray Collection
            ==================================

XWING.INC - 3D model description file for use with the
Persistence of Vision Ray-Tracer, v3.0
* Converted to POV-Ray 3.1 by John Dickson

POV-Ray code copyright (c) 1998 Howard Day

This model is provided for personal use only. Any use of this
model for commercial gain or profit is strictly forbidden -
please see the accompanying README.TXT and Conditions of Use
before using or distributing this model.

'Star Wars' and all associated images, designs and trademarks,
(including the designs of the vehicles and objects depicted in
the Star Wars POV-Ray Collection, except where otherwise
stated) are copyright (c) 1997 Lucasfilm Ltd.

**************************************************************/


#ifdef (SquadColour)
#else
#declare SquadColour = colour rgb <1,1,0>;
#end

#ifdef (EngineGlowColor)
#else
#declare EngineGlowColor = rgb <1,1,0>;
#end

#declare YW_TexTop =
texture {pigment{color rgb .75}
normal {dents 0.25 scale 0.25}
finish {
ambient 0.1
diffuse 1
phong .25
phong_size 20
metallic
}}
texture {
pigment { bozo
color_map {
[0 color rgbt <.25,.25,.25,.25>]
[.5 color rgbt <.25,.25,.25,1>]
[1 color rgbt <.25,.25,.25,1>]
}
}
scale <1,1,2>*5
}
#declare YW_Tex3 =
texture {pigment{color rgb .25}
normal {dents 0.25 scale 0.25}
finish {
ambient 0.1
diffuse 1
phong .25
phong_size 20
metallic
}}
texture {
pigment { bozo
color_map {
[0 color rgbt <.25,.25,.25,.25>]
[.5 color rgbt <.25,.25,.25,1>]
[1 color rgbt <.25,.25,.25,1>]
}
}
scale <1,1,2>*5
}


#declare YW_TexScreen = texture {
        pigment {colour rgbf <0.75, 0.75, 0.8,.85>}
finish {diffuse .5 phong 1 phong_size 20 specular 0.7 roughness 0.01}
}
#declare YW_Tex2 =
texture {
  pigment
  {
color rgb .5
  }
  finish {
    ambient 0
    diffuse 1
    phong .05
  }
}
texture {
pigment { bozo
color_map {
[0 color rgbt <.25,.25,.25,.25>]
[.5 color rgbt <.25,.25,.25,1>]
[1 color rgbt <.25,.25,.25,1>]
}
}
scale <.25,.25,.5>
}
#declare YWHeadTex1 =
texture {
pigment {
image_map{
gif "YWTexa2.gif"
interpolate 2
}
}
normal {dents 0.25 scale 0.25}
finish {
ambient 0.3
diffuse 1
phong .25
phong_size 20
metallic
}
}
texture {
pigment { bozo
color_map {
[0 color rgbt <.25,.25,.25,.25>]
[.5 color rgbt <.25,.25,.25,1>]
[1 color rgbt <.25,.25,.25,1>]
}
}
scale <.25,.25,.5>
}

#declare YW_SquadTex =
texture {
pigment {
SquadColour*.5
}
normal {dents 0.25 scale 0.25}
finish {
ambient 0.1
diffuse 1
phong .25
phong_size 20
metallic
}
}
texture {
pigment { bozo
color_map {
[0 color rgbt <.25,.25,.25,.25>]
[.5 color rgbt <.25,.25,.25,1>]
[1 color rgbt <.25,.25,.25,1>]
}
}
scale <.25,.25,.5>
}

#declare YW_SquadTex2 =
texture {
pigment {
color (SquadColour*.5+<.75,.75,.75>)/2
}
normal {dents 0.25 scale 0.25}
finish {
ambient 0.1
diffuse 1
phong .25
phong_size 20
metallic
}
}
texture {
pigment { bozo
color_map {
[0 color rgbt <.25,.25,.25,.25>]
[.5 color rgbt <.25,.25,.25,1>]
[1 color rgbt <.25,.25,.25,1>]
}
}
scale <.25,.25,.5>
}

#declare YW_Tex1 =
texture {
    material_map {
      gif "YWTexa.gif"
      interpolate 2
texture {
YWHeadTex1
}
texture {
YW_SquadTex
}
texture {
YW_SquadTex2
}
}
scale <46,71,1>
rotate <90,0,0>
translate <-23,0,-41>
}

#declare YWEngineTex1 =
texture {
pigment {
image_map{
gif "YWTexb2.gif"
interpolate 2
}
}
normal {dents 0.25 scale 0.25}
finish {
ambient 0.1
diffuse 1
phong .25
phong_size 20
metallic
}
}

#declare YW_Tex4 =
texture {
    material_map {
      gif "YWTexb.gif"
      interpolate 2
texture {
YWEngineTex1
}
texture {
YW_SquadTex
}
texture {
YW_SquadTex2
}
}
scale <36,88,1>
rotate <90,0,0>
translate <-18,0,-24>
}


#declare Engine_w_Strut =
// Object type: World
// Name: Root
object
{
   union
   {
      // Object type: Sphere
      // Name: NoName
      object
      {
         sphere { < 0, 0, 0 >, 1 }

         scale < 16, 16, 21.5 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 16, 60, 16 >
         rotate < 90, 0, 0 >
      }
      // Object type: Intersection
      // Name: 'and'
      object
      {
         intersection
         {
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

               scale < 17, 60, 17 >
               rotate < 90, 0, 0 >
               translate < -3.5527e-15, 0, 0 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 40, 16, 33 >
               translate < -20, -8, 14 >
            }
         }
      }
      // Object type: Intersection
      // Name: 'and'
      object
      {
         intersection
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 40, 14, 24 >
               translate < -20, -7, 20 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

               scale < 18, 60, 18 >
               rotate < 90, 0, 0 >
            }
         }
      }
#declare Count = 0;
#while (Count < 360)
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 0.5, 8, 0.5 >
         rotate < 90, 0, 0 >
         translate < 0, 16, 8 >
         rotate < 0, 0, Count >
      }
      #declare Count=Count+4;
      #end
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Intersection
            // Name: 'and'
            object
            {
               intersection
               {
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 20, 12, 19 >
                     translate < 0, -6, 23 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 19, 60, 19 >
                     rotate < 90, 0, 0 >
                  }
               }
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 40, 4, 6 >
               translate < 0, -2, 22 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 40, 20, 4 >
               translate < 0, -11, 27 >
            }
         }
      }

      #declare Count = 0;
#while (Count < 360)
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 0.5, 3, 0.5 >
         rotate < 90, 0, 0 >
         translate < 0, 16, 57 >
         rotate < 0, 0, Count >
      }
      #declare Count=Count+4;
      #end
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 12, 9, 15 >
               translate < -6, 8, 16 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 3, 20, 20 >
               translate < -1.5, 16.5, 15 >
            }
         }
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

         translate < 4, 17, 18.5 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

         translate < 4, 17, 22 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

         translate < 4, 17, 25.5 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

         translate < 4, 17, 29 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

         translate < -4, 17, 18.5 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

         translate < -4, 17, 22 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

         translate < -4, 17, 25.5 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

         translate < -4, 17, 29 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

         scale < 1, 38.5, 1 >
         rotate < 90, 0, 0 >
         translate < 0, 16.5, 15.5 >
      }
      // Object type: Intersection
      // Name: 'and'
      object
      {
         intersection
         {
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

               scale < 17, 60, 17 >
               rotate < 90, 0, 0 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 16, 20, 16.5 >
               translate < -8, 13, 39.5 >
            }
         }
      }

#declare Tube =
        // Object type: Composite
      // Name: group #1
      object
      {
         union
         {
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

               scale < 1.5, 8.2462, 2.5 >
               rotate < 75.839, 0, 0 >
               translate < 0, 13.5, -11 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 4, 3, 6 >
               translate < -2, 14.5, -4 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

               scale < 0.75, 5, 0.75 >
               rotate < 90, 0, 0 >
               translate < 1, 17.5, -3.5 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

               scale < 0.75, 5, 0.75 >
               rotate < 90, 0, 0 >
               translate < -1, 17.5, -3.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 3, 3, 5 >
               translate < -1.5, 15.5, 2 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

               scale < 1, 127.5, 1 >
               rotate < 90, 0, 0 >
               translate < 0, 16, 7 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

               scale < 0.75, 127.5, 0.75 >
               rotate < 90, 0, 0 >
               translate < 0, 17, 7 >
            }
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 1.5, 2.5, 3.5 >
                     rotate < -31.329, 0, 0 >
                     translate < 0, 13.5, -11 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 1, 7.5, 3 >
                     translate < -0.5, 10, -15 >
                  }
               }
            }
         }
      }
object {
Tube
rotate <0,0,45>
}
object {
Tube
rotate <0,0,-45>
}
object {
Tube
rotate <0,0,-135>
}
object {
Tube
rotate <0,0,135>
}
      // Object type: Composite
      // Name: group #1
      object
      {
         union
         {
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

               scale < 8, 1, 8 >
               rotate < 90, 0, 45 >
               translate < -8.4703e-22, 1.0588e-22, 126.5 >
            }
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Difference
                  // Name: 'and not'
                  object
                  {
                     difference
                     {
                        // Object type: Difference
                        // Name: 'and not'
                        object
                        {
                           difference
                           {
                              // Object type: Sphere
                              // Name: NoName
                              object
                              {
                                 sphere { < 0, 0, 0 >, 1 }

                                 scale < 16, 16, 10 >
                                 rotate < 0, 0, 45 >
                                 translate < 0, 0, 126 >
                              }
                              // Object type: Sphere
                              // Name: NoName
                              object
                              {
                                 sphere { < 0, 0, 0 >, 1 }

                                 scale < 15, 15, 9 >
                                 rotate < 0, 0, 45 >
                                 translate < 0, 0, 126 >
                              }
                           }
                        }
                        // Object type: Cylinder
                        // Name: NoName
                        object
                        {
                           cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                           scale < 10, 40.5, 10 >
                           rotate < 90, 0, 45 >
                           translate < -3.1764e-22, 3.4411e-22, 107 >
                        }
                     }
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 20 >
                     rotate < 90, 0, 45 >
                     translate < 0, 0, 126 >
                  }
               }
            }
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 1.5, 2.5, 3.5 >
                     rotate < 148.67, 0, -45 >
                     translate < -10.607, -10.607, 128 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 1, 7.5, 3 >
                     rotate < -180, 0, -45 >
                     translate < -8.4853, -7.7782, 132 >
                  }
               }
            }
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 1.5, 2.5, 3.5 >
                     rotate < 148.67, 0, 135 >
                     translate < 10.607, 10.607, 128 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 1, 7.5, 3 >
                     rotate < -180, 0, 135 >
                     translate < 8.4853, 7.7782, 132 >
                  }
               }
            }
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 1.5, 2.5, 3.5 >
                     rotate < 148.67, 0, 45 >
                     translate < 10.607, -10.607, 128 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 1, 7.5, 3 >
                     rotate < -180, 0, 45 >
                     translate < 7.7782, -8.4853, 132 >
                  }
               }
            }
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 1, 30, 3.5 >
                     translate < -0.5, -15, 126.5 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 20 >
                     rotate < -135, 0, 0 >
                     translate < -4.0332e-16, 12, 130 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 20 >
                     rotate < -45, 0, 0 >
                     translate < -9.1593e-16, -12, 130 >
                  }
               }
            }
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 1, 30, 3.5 >
                     rotate < 0, 0, 90 >
                     translate < 15, -0.5, 126.5 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 20 >
                     rotate < -135, 0, 90 >
                     translate < -12, -5.2454e-07, 130 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 20 >
                     rotate < -45, 0, 90 >
                     translate < 12, 5.2454e-07, 130 >
                  }
               }
            }
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 1.5, 2.5, 3.5 >
                     rotate < 148.67, -4.9783e-06, -135 >
                     translate < -10.607, 10.607, 128 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 1, 7.5, 3 >
                     rotate < -180, -4.9783e-06, -135 >
                     translate < -7.7782, 8.4853, 132 >
                  }
               }
            }
         }
translate <0,0,7.5>
      }

      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 15, 1, 15 >
         rotate < 90, 0, 0 >
         translate < 0, 0, 60 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 14, 1, 14 >
         rotate < 90, 0, 0 >
         translate < 0, 0, 61 >
      }
      // Object type: Cone
      // Name: NoName
      object
      {
         cone { < 0, 0, 0 >, 1, < 0, 1, 0 >, 0.5 open }

         scale < 9, 20, 9 >
         rotate < 90, 0, 0 >
         translate < 0, -3.7058e-22, 62 >
      }
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1, 26, 18.5 >
               rotate < 0, 0, 45 >
               translate < 8.8388, -9.5459, 62 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < -156, 0, 45 >
               translate < -5.3033, 5.3033, 75 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < -24, 0, 45 >
               translate < 5.3033, -5.3033, 75 >
            }
         }
      }
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1, 26, 18.5 >
               rotate < 0, 0, -45 >
               translate < -9.5459, -8.8388, 62 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < -156, 0, -45 >
               translate < 5.3033, 5.3033, 75 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < -24, 0, -45 >
               translate < -5.3033, -5.3033, 75 >
            }
         }
      }
#declare EngineBurn =
union {
// Secondary YW_Engine Glow
    object {
      sphere {<0,0,0>, 0.65}
      texture {
        pigment {colour rgbt <1,1,1,1>}
      }
            interior
      {
        media 
        {
          emission .2
          density 
          {
            spherical
            color_map
            {
              [0.0 EngineGlowColor+t*1 ]
              [1.0 EngineGlowColor+t*.25]
             }
          }
        samples 10,10
        }
      }
      hollow
      no_shadow
      scale <6,6,9>*1.5
      translate <0,0,0>
    }
    // Secondary YW_Engine Glow
    object {
      sphere {<0,0,0>, 0.65}
      texture {
        pigment {colour rgbt <1,1,1,1>}
      }
      interior
      {
        media 
        {
          emission .2
          density 
          {
            spherical
            color_map
            {
              [0.0 EngineGlowColor + t*1]
              [1.0 EngineGlowColor + t*.5]
             }
          }
        samples 10,10
        }
      }
      hollow
      no_shadow
      scale <8,8,14>*2
      translate <0,0,10>
    }
    // Inner engine glow
    object {
      sphere {<0,0,0>, 1}
      texture {
        pigment {color rgbt <1,1,1,1>}
      }
       interior
      {
        media 
        {
          emission .2
          density 
          {
            spherical
            color_map
            {
              [0.0 rgbt <1,1,1,1>]
              [0.5 rgbt <2,2,2,0>]
              [1.0 rgbt <2,2,2,-1>]
             }
          }
        samples 10,10
        }
      }
 scale <5,5,5>
      hollow
      no_shadow
      translate <0,0,0>
    }
scale 1.25
translate <0,0,80>
}


union {
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }
         scale < 0.1, 2, 0.1 >
         translate < -0.05, -1, 0 >
      }
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }
         scale < 0.1, 2, 0.1 >
         rotate < 0, 0, -45 >
         translate < -0.74246, -0.67175, 0 >
      }
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }
         scale < 0.1, 2, 0.1 >
         rotate < 0, 0, 90 >
         translate < 1, -0.05, 0 >
      }
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }
         scale < 0.1, 2, 0.1 >
         rotate < 0, 0, 45 >
         translate < 0.67175, -0.74246, -2.2204e-16 >
      }
      object
      {
         cone { < 0, 0, 0 >, 1, < 0, 1, 0 >, 0.5  }
         scale < 0.25, 0.45, 0.25 >
         rotate < 90, 0, 0 >
      }
   scale 4
pigment {rgb .125}
translate <0,0,1>
scale 1.25
translate <0,0,80>
}


      // Object type: Composite
      // Name: group #1
      object
      {
         union
         {
            // Object type: Composite
            // Name: group #1
            object
            {
               union
               {
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 4.5, 0.75, 33 >
                     translate < -46.5, 3, 14.5 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 4.5, 0.75, 7.5 >
                     translate < -39.75, 3, 14.5 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 4.5, 0.75, 33 >
                     translate < -33, 3, 14.5 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 4.5, 0.75, 7.5 >
                     translate < -39.75, 3, 40 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 4.5, 0.75, 7.5 >
                     translate < -39.75, 3, 27.25 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 4.5, 0.75, 15 >
                     translate < -25.5, 3, 18.25 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 3, 0.75, 12 >
                     translate < -24.75, 3.75, 19.75 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 1.5, 0.75, 9.75 >
                     translate < -24, 4.5, 21.25 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 3, 0.75, 2.25 >
                     translate < -24.75, 3, 44.5 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 1.5, 36, 1.5 >
                     rotate < 90, 90, 0 >
                     translate < -49.5, 4.5, 42.25 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 1.5, 36, 1.5 >
                     rotate < 90, 90, 0 >
                     translate < -49.5, 4.5, 34.75 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.375, 26.25, 0.375 >
                     rotate < 90, 90, 0 >
                     translate < -49.5, 4.5, 25 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.375, 26.25, 0.375 >
                     rotate < 90, 90, 0 >
                     translate < -49.5, 4.5, 26.5 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.375, 26.25, 0.375 >
                     rotate < 90, 90, 0 >
                     translate < -49.5, 4.5, 28 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.375, 30, 0.375 >
                     rotate < 90, 0, 0 >
                     translate < -37.5, 3.75, 16 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.375, 21, 0.375 >
                     rotate < 90, 0, 0 >
                     translate < -30.75, 3.75, 13.75 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.375, 17.25, 0.375 >
                     rotate < 90, 90, 0 >
                     translate < -30.75, 3.75, 17.5 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.375, 15, 0.375 >
                     rotate < 90, 0, 0 >
                     translate < -23.25, 3.75, 29.5 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.375, 15, 0.375 >
                     rotate < 90, 90, 0 >
                     translate < -45.75, 3.75, 13.75 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 1.5, 1.5, 1.5 >
                     translate < -45, 3, 13 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 1.5, 1.5, 1.5 >
                     translate < -38.25, 3, 13 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 1.5, 1.5, 1.5 >
                     translate < -31.5, 3, 13 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 4.5, 0.75, 15 >
                     translate < -19.5, 3, 27.25 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 15.75, 1.5, 3 >
                     translate < -45.75, 3, 37 >
                  }
               }
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

               scale < 1.5, 36, 3 >
               rotate < 90, 90, 0 >
               translate < -49.5, 0, 13 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

               scale < 1.5, 36, 3 >
               rotate < 90, 90, 0 >
               translate < -49.5, 0, 49 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 36, 6, 36 >
               translate < -49.5, -3, 13 >
            }
            // Object type: Composite
            // Name: group #1
            object
            {
               union
               {
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 4.5, 0.75, 33 >
                     rotate < 180, 4.9783e-06, 0 >
                     translate < -46.5, -3, 46 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 4.5, 0.75, 7.5 >
                     rotate < 180, 4.9783e-06, 0 >
                     translate < -39.75, -3, 46 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 4.5, 0.75, 33 >
                     rotate < 180, 4.9783e-06, 0 >
                     translate < -33, -3, 46 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 4.5, 0.75, 7.5 >
                     rotate < 180, 4.9783e-06, 0 >
                     translate < -39.75, -3, 20.5 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 4.5, 0.75, 7.5 >
                     rotate < 180, 4.9783e-06, 0 >
                     translate < -39.75, -3, 33.25 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 4.5, 0.75, 15 >
                     rotate < 180, 4.9783e-06, 0 >
                     translate < -25.5, -3, 42.25 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 3, 0.75, 12 >
                     rotate < 180, 4.9783e-06, 0 >
                     translate < -24.75, -3.75, 40.75 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 1.5, 0.75, 9.75 >
                     rotate < 180, 4.9783e-06, 0 >
                     translate < -24, -4.5, 39.25 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 3, 0.75, 2.25 >
                     rotate < 180, 4.9783e-06, 0 >
                     translate < -24.75, -3, 16 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 1.5, 36, 1.5 >
                     rotate < -90, -90, 0 >
                     translate < -49.5, -4.5, 18.25 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 1.5, 36, 1.5 >
                     rotate < -90, -90, 0 >
                     translate < -49.5, -4.5, 25.75 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.375, 26.25, 0.375 >
                     rotate < -90, -90, 0 >
                     translate < -49.5, -4.5, 35.5 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.375, 26.25, 0.375 >
                     rotate < -90, -90, 0 >
                     translate < -49.5, -4.5, 34 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.375, 26.25, 0.375 >
                     rotate < -90, -90, 0 >
                     translate < -49.5, -4.5, 32.5 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.375, 30, 0.375 >
                     rotate < -90, 4.9783e-06, 0 >
                     translate < -37.5, -3.75, 44.5 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.375, 21, 0.375 >
                     rotate < -90, 4.9783e-06, 0 >
                     translate < -30.75, -3.75, 46.75 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.375, 17.25, 0.375 >
                     rotate < -90, -90, 0 >
                     translate < -30.75, -3.75, 43 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.375, 15, 0.375 >
                     rotate < -90, 4.9783e-06, 0 >
                     translate < -23.25, -3.75, 31 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.375, 15, 0.375 >
                     rotate < -90, -90, 0 >
                     translate < -45.75, -3.75, 46.75 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 1.5, 1.5, 1.5 >
                     rotate < 180, 4.9783e-06, 0 >
                     translate < -45, -3, 47.5 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 1.5, 1.5, 1.5 >
                     rotate < 180, 4.9783e-06, 0 >
                     translate < -38.25, -3, 47.5 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 1.5, 1.5, 1.5 >
                     rotate < 180, 4.9783e-06, 0 >
                     translate < -31.5, -3, 47.5 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 4.5, 0.75, 15 >
                     rotate < 180, 4.9783e-06, 0 >
                     translate < -19.5, -3, 33.25 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 15.75, 1.5, 3 >
                     rotate < 180, 4.9783e-06, 0 >
                     translate < -45.75, -3, 23.5 >
                  }
               }
            }
         }
      }



   }


   texture
   {
      YW_Tex4
   }
translate <0,0,-40>
rotate <0,0,0>
scale 1

}
#declare RLandingF =
      // Object type: Composite
      // Name: Rear Landing Foot
      object
      {
         union
         {
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

               scale < 0.85, 21.5, 0.85 >
               translate < 0, -37.5, 14 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

               scale < 1, 30, 1 >
               rotate < -45, 0, 0 >
               translate < 0, -37.5, 11 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 3, 3, 11 >
               translate < -1.5, -40.5, 7 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 2, 3, 5.5 >
               translate < -1, -37.5, 9.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 10, 1.5, 24 >
               translate < -5, -42, 0.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 10, 1.5, 5.6569 >
               rotate < -135, 0, 0 >
               translate < -5, -40.5, 1.5 >
            }
         }
translate 2*y
}

#declare FLandingF =
      // Object type: Composite
      // Name: Front Landing Foot
      object
      {
         union
         {
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

               scale < 0.85, 37.5, 0.85 >
               translate < 0, -37.5, 14 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

               scale < 1, 30, 1 >
               rotate < -63.038, 0, 0 >
               translate < 0, -16, 11.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 3, 3, 11 >
               translate < -1.5, -40.5, 7 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 2, 3, 5.5 >
               translate < -1, -37.5, 9.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 10, 1.5, 27.5 >
               translate < -5, -42, -1 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 10, 1.5, 5.6569 >
               rotate < -135, 0, 0 >
               translate < -5, -41, 0 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1, 2, 3 >
               translate < -0.5, -17, 11 >

               texture
               {
                  YW_SquadTex
                  scale < 1, 2, 3 >
                  translate < -0.5, -17, 11 >
               }
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 1.5, 3, 1.5 >
               translate < 0, -17.5, 14 >

               texture
               {
                  YW_SquadTex
                  scale < 1.5, 3, 1.5 >
                  translate < 0, -17.5, 14 >
               }
            }
         }
translate 2*y
      }






#include "y-wing2.inc"
#include "y-wing3.inc"
#include "y-wing5.inc"
#declare YWing =
union 
{
  object 
  {
    MainBody
    scale <1.3,1.3,1.3>
    translate <0,-2.5,-20>
  }
  object 
  {
    YW_HeadandCocpit
    scale 1
    translate <0,2.5,-160>
  }
  object
  {
    Neck
    scale <1.55,1.3,1.45>
    translate <0,6,-160>
  }
  object 
  {
    Engine_w_Strut
    translate <65,0,0>
    rotate 180*x
    scale -1
  }
  object
  {
    Engine_w_Strut
    translate <65,0,0>
  }
  object
  {
    EngineBurn
    translate <65,0,-40>
  }
  object
  {
     EngineBurn
     translate <-65,0,-40>
  }
  object 
  {
    light_source 
    {
      <65,0,44>
      EngineGlowColor
      fade_distance 25*.075
      fade_power 2
    }
  }
  object 
  {
    light_source 
    {
      <-65,0,44>
      EngineGlowColor
      fade_distance 25*.075
      fade_power 2
    }
  }
  texture {YW_TexTop}
  scale .85
  translate <0,0,30>
  hollow
  scale .0675
}


#declare YWingL =
union 
{
  object 
  {
    MainBody
    scale <1.3,1.3,1.3>
    translate <0,-2.5,-20>
  }
  object 
  {
    YW_HeadandCocpit
    scale 1
    translate <0,2.5,-160>
  }
  object
  {
    Neck
    scale <1.55,1.45,1.45>
    translate <0,5,-160>
  }
  object 
  {
    Engine_w_Strut
    translate <65,0,0>
    rotate 180*x
    scale -1
  }
  object 
  {
    Engine_w_Strut
    translate <65,0,0>
  }
  object
  {
    FLandingF
    translate <0,5,-100>
  }
  object 
  {
    RLandingF
    translate <65,5,0>
  }
  object 
  {
    RLandingF
    translate <-65,5,0>
  }
  texture {YW_TexTop}
  translate <0,35,0>
  scale .85
  translate <0,0,30>
  hollow
  scale .0675
}




